/tmp/bgpq3:
  file.managed:
    - source: salt://bgpq3-linux-amd64
    - mode: 700

/config/config.new:
  file.managed:
    - template: jinja
    - source: salt://vyos.conf.j2
    - require:
      - file: /tmp/bgpq3

configure:
  cmd.script:
    - source: salt://load-configure-compare-commit.sh
    - shell: /bin/vbash
    - runas: minion
    - require:
      - file: /config/config.new
